idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

IRTS.JavaScript.Name

Description

# Documentation

jsName :: Name -> Text #

jsNameGenerated :: Int -> Text #

data Partial #

Constructors

Partial Name Int Int |

#### Instances

Instances details

Eq Partial # |
Instance details Defined in IRTS.JavaScript.Name Methods (==) :: Partial -> Partial -> Bool # (/=) :: Partial -> Partial -> Bool #
Ord Partial # |
Instance details Defined in IRTS.JavaScript.Name Methods compare :: Partial -> Partial -> Ordering # (<) :: Partial -> Partial -> Bool # (<=) :: Partial -> Partial -> Bool # (>) :: Partial -> Partial -> Bool # (>=) :: Partial -> Partial -> Bool # max :: Partial -> Partial -> Partial # min :: Partial -> Partial -> Partial #

jsNamePartial :: Partial -> Text #

jsTailCallOptimName :: Text -> Text #

data HiddenClass #

Constructors

HiddenClass Name Int Int |

#### Instances

Instances details

Eq HiddenClass # |
Instance details Defined in IRTS.JavaScript.Name Methods (==) :: HiddenClass -> HiddenClass -> Bool # (/=) :: HiddenClass -> HiddenClass -> Bool #
Ord HiddenClass # |
Instance details Defined in IRTS.JavaScript.Name Methods compare :: HiddenClass -> HiddenClass -> Ordering # (<) :: HiddenClass -> HiddenClass -> Bool # (<=) :: HiddenClass -> HiddenClass -> Bool # (>) :: HiddenClass -> HiddenClass -> Bool # (>=) :: HiddenClass -> HiddenClass -> Bool # max :: HiddenClass -> HiddenClass -> HiddenClass # min :: HiddenClass -> HiddenClass -> HiddenClass #

jsNameHiddenClass :: HiddenClass -> Text #

dataPartName :: Int -> Text #